'''
 Demonstrates the use of MAX7219, digits of 7 Segment display.
 
 * Demonstrate to display alphanumeric character at the interval of 2S.
 
 The Raspberry Pi Pico circuit connection for MAX7219:

 * MAX7219 VCC pin to VBUS
 * MAX7219 GND pin to GND
 * MAX7219 DIN pin to digital GPIO3
 * MAX7219 CS pin to digital GPIO5
 * MAX7219 CLOCK pin to digital GPIO2

 Name:- M.Pugazhendi
 Date:-  08thJul2021
 Version:- V0.1
 e-mail:- muthuswamy.pugazhendi@gmail.com
'''

# Import MicroPython libraries of PIN and SPI
from machine import Pin, SPI

# Import MicoPython MAX7219, 8 digit, 7segment library
import max7219_8digit

# Import timer library
import time

#Intialize the SPI
spi = SPI(0, baudrate=10000000, polarity=1, phase=0, sck=Pin(2), mosi=Pin(3))
ss = Pin(5, Pin.OUT)

# Create display instant
display = max7219_8digit.Display(spi, ss)

# Unconditionally execute the loop
while True:
    # Display "01234567" for 2 Seconds
    display.write_to_buffer("01234567")
    display.display()
    time.sleep(2)

    # Display "89ABCDEF" for 2 Seconds
    display.write_to_buffer("89ABCDEF")
    display.display()
    time.sleep(2)

    # Display "GHIJKLMN" for 2 Seconds
    display.write_to_buffer("GHIJKLMN")
    display.display()
    time.sleep(2)

    # Display "OPQRSTUV" for 2 Seconds
    display.write_to_buffer("OPQRSTUV")
    display.display()
    time.sleep(2)

    # Display "WXYZ -.." for 2 Seconds
    display.write_to_buffer("WXYZ -..")
    display.display()
    time.sleep(2)
